# The issue is relevant with Digital Mars D Compiler v2.035 on MacOSX 10.5.8
# Pablo Ripolles @ Madrid, 2009/10/30
DC = dmd
DFLAGS = -g
# This compiles OK but on runtime issues "Bus error":
SOURCES = utility.d main.d
# This compiles OK and runs OK:
#SOURCES = main.d utility.d
OBJS = $(patsubst %.d, %.o, $(SOURCES))
.SUFFIXES: .d
hello: $(OBJS)
	$(DC) $(DFLAGS) $(OBJS) -ofhello
.d.o:
	$(DC) $(DFLAGS) -c $<
clean:
	rm -f *.o
realclean:
	rm -f hello *.o
